Create or Replace Connection
curl --request PUT \
--url https://api.sixtyfour.ai/v1/connections/{name} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"allowed_requests": [
"GET /accounts",
"POST /accounts/search"
],
"base_url": "https://api.example.com/v2",
"description": "Our CRM. Look up accounts and their owners.",
"secret": "YOUR_CRM_API_KEY"
}
'import requests
url = "https://api.sixtyfour.ai/v1/connections/{name}"
payload = {
"allowed_requests": ["GET /accounts", "POST /accounts/search"],
"base_url": "https://api.example.com/v2",
"description": "Our CRM. Look up accounts and their owners.",
"secret": "YOUR_CRM_API_KEY"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowed_requests: ['GET /accounts', 'POST /accounts/search'],
base_url: 'https://api.example.com/v2',
description: 'Our CRM. Look up accounts and their owners.',
secret: 'YOUR_CRM_API_KEY'
})
};
fetch('https://api.sixtyfour.ai/v1/connections/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/connections/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'allowed_requests' => [
'GET /accounts',
'POST /accounts/search'
],
'base_url' => 'https://api.example.com/v2',
'description' => 'Our CRM. Look up accounts and their owners.',
'secret' => 'YOUR_CRM_API_KEY'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/connections/{name}"
payload := strings.NewReader("{\n \"allowed_requests\": [\n \"GET /accounts\",\n \"POST /accounts/search\"\n ],\n \"base_url\": \"https://api.example.com/v2\",\n \"description\": \"Our CRM. Look up accounts and their owners.\",\n \"secret\": \"YOUR_CRM_API_KEY\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sixtyfour.ai/v1/connections/{name}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"allowed_requests\": [\n \"GET /accounts\",\n \"POST /accounts/search\"\n ],\n \"base_url\": \"https://api.example.com/v2\",\n \"description\": \"Our CRM. Look up accounts and their owners.\",\n \"secret\": \"YOUR_CRM_API_KEY\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/connections/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowed_requests\": [\n \"GET /accounts\",\n \"POST /accounts/search\"\n ],\n \"base_url\": \"https://api.example.com/v2\",\n \"description\": \"Our CRM. Look up accounts and their owners.\",\n \"secret\": \"YOUR_CRM_API_KEY\"\n}"
response = http.request(request)
puts response.read_body{
"name": "crm",
"description": "Our CRM: accounts, contacts and deal notes",
"base_url": "https://api.crm.example.com/v2",
"sign_in": {
"type": "bearer",
"name": null
},
"allowed_requests": [
"POST /search"
],
"secret_last4": "_KEY",
"created_at": "2026-11-05T03:40:00Z",
"updated_at": "2026-11-05T03:40:00Z",
"created": true
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Connections
Create or Replace Connection
Creates the connection name, or replaces its settings.
Runs already in progress use the new settings on their next call.
PUT
/
v1
/
connections
/
{name}
Create or Replace Connection
curl --request PUT \
--url https://api.sixtyfour.ai/v1/connections/{name} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"allowed_requests": [
"GET /accounts",
"POST /accounts/search"
],
"base_url": "https://api.example.com/v2",
"description": "Our CRM. Look up accounts and their owners.",
"secret": "YOUR_CRM_API_KEY"
}
'import requests
url = "https://api.sixtyfour.ai/v1/connections/{name}"
payload = {
"allowed_requests": ["GET /accounts", "POST /accounts/search"],
"base_url": "https://api.example.com/v2",
"description": "Our CRM. Look up accounts and their owners.",
"secret": "YOUR_CRM_API_KEY"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowed_requests: ['GET /accounts', 'POST /accounts/search'],
base_url: 'https://api.example.com/v2',
description: 'Our CRM. Look up accounts and their owners.',
secret: 'YOUR_CRM_API_KEY'
})
};
fetch('https://api.sixtyfour.ai/v1/connections/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/connections/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'allowed_requests' => [
'GET /accounts',
'POST /accounts/search'
],
'base_url' => 'https://api.example.com/v2',
'description' => 'Our CRM. Look up accounts and their owners.',
'secret' => 'YOUR_CRM_API_KEY'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/connections/{name}"
payload := strings.NewReader("{\n \"allowed_requests\": [\n \"GET /accounts\",\n \"POST /accounts/search\"\n ],\n \"base_url\": \"https://api.example.com/v2\",\n \"description\": \"Our CRM. Look up accounts and their owners.\",\n \"secret\": \"YOUR_CRM_API_KEY\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sixtyfour.ai/v1/connections/{name}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"allowed_requests\": [\n \"GET /accounts\",\n \"POST /accounts/search\"\n ],\n \"base_url\": \"https://api.example.com/v2\",\n \"description\": \"Our CRM. Look up accounts and their owners.\",\n \"secret\": \"YOUR_CRM_API_KEY\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/connections/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowed_requests\": [\n \"GET /accounts\",\n \"POST /accounts/search\"\n ],\n \"base_url\": \"https://api.example.com/v2\",\n \"description\": \"Our CRM. Look up accounts and their owners.\",\n \"secret\": \"YOUR_CRM_API_KEY\"\n}"
response = http.request(request)
puts response.read_body{
"name": "crm",
"description": "Our CRM: accounts, contacts and deal notes",
"base_url": "https://api.crm.example.com/v2",
"sign_in": {
"type": "bearer",
"name": null
},
"allowed_requests": [
"POST /search"
],
"secret_last4": "_KEY",
"created_at": "2026-11-05T03:40:00Z",
"updated_at": "2026-11-05T03:40:00Z",
"created": true
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Body
application/json
Response
Successful Response
Was this page helpful?